Skip to main content

List site OpenSearch snapshots

GET 

/sites/:siteId/opensearch/snapshots

Returns snapshots for the specified site's OpenSearch index.

For provisioned OpenSearch domains, the response is read from the site's S3 snapshot repository. For OpenSearch Serverless, the response is read from the automated snapshot repository.

Request

Path Parameters

    siteId stringrequired

    Site Identifier

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    snapshots

    object[]

  • Array [

  • snapshot string

    Snapshot name

    uuid string

    Snapshot’s universally unique identifier (UUID)

    version string

    Open Search version that created the snapshot

    indices string[]

    Indices in the snapshot

    shards

    object

    total number

    Total number of shards

    failed number

    Failed number of shards

    successful number

    Successful number of shards

    failures

    object[]

  • Array [

  • index string

    The index name.

    index_uuid string

    UUID of the index.

    shard_id int32

    Shard identifier.

    reason string

    Full exception/message explaining why the failure occurred.

    node_id string

    ID of the node handling that shard.

    status string

    Status of the failure (e.g., INTERNAL_SERVER_ERROR).

  • ]

  • state string

    Snapshot status. Possible values: IN_PROGRESS, SUCCESS, FAILED, PARTIAL

    start_time string

    Date/time when the snapshot creation process began

    start_time_in_millis number

    Time (in milliseconds) when the snapshot creation process began

    end_time string

    Date/time when the snapshot creation process ended

    end_time_in_millis number

    Time (in milliseconds) when the snapshot creation process ended

    duration_in_millis number

    Total time (in milliseconds) that the snapshot creation process lasted

  • ]

Loading...